############
# ajtmh     #
#############

##
# Homepage
##
nagios_service 'ajtmh.org-Live Homepage: astmh-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'astmh-web-1.irl.pubfactory.net',
		'display_name' => 'Live Homepage: astmh-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!astmh:astmh2020!/?site=astmh!"American Journal of Tropical Medicine and Hygiene"!10!20!astmh-web-1-live!astmh-web-1.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ajtmh',
		'notes' => 'APMA Live Site: astmh-web-1',
		'notes_url' => 'https://ajtmh.org'
end

nagios_service 'ajtmh.org-Live Homepage: astmh-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'astmh-web-2.irl.pubfactory.net',
		'display_name' => 'Live Homepage: astmh-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!astmh:astmh2020!/?site=astmh!"American Journal of Tropical Medicine and Hygiene"!10!20!astmh-web-2-live!astmh-web-2.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ajtmh',
		'notes' => 'APMA Live Site: astmh-web-2',
		'notes_url' => 'https://ajtmh.org'
end

##
# Search
##
nagios_service 'ajtmh.org-Live Search: astmh-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'astmh-web-1.irl.pubfactory.net',
		'display_name' => 'Live search: astmh-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!astmh:astmh2020!/search?site=astmh!Browse!10!20!astmh-web-1-live!astmh-web-1.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ajtmh',
		'notes' => 'APMA Live Site: astmh-web-1',
		'notes_url' => 'https://ajtmh.org/search'
end

nagios_service 'ajtmh.org-Live Search: astmh-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'astmh-web-2.irl.pubfactory.net',
		'display_name' => 'Live search: astmh-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!astmh:astmh2020!/search?site=astmh!Browse!10!20!astmh-web-2-live!astmh-web-2.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ajtmh',
		'notes' => 'APMA Live Site: astmh-web-2',
		'notes_url' => 'https://ajtmh.org/search'
end

##
# Content
##
nagios_service 'ajtmh.org-Live content view: astmh-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'astmh-web-1.irl.pubfactory.net',
		'display_name' => 'Live content view: astmh-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!astmh:astmh2020!/view/journals/tpmd/104/2/article-p604.xml?site=astmh!Monkeypox!10!20!astmh-web-1-live!astmh-web-1.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ajtmh',
		'notes' => 'APMA Live Site: astmh-web-1',
		'notes_url' => 'https://ajtmh.org/view/journals/tpmd/104/2/article-p604.xml'
end

nagios_service 'ajtmh.org-Live content view: astmh-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'astmh-web-2.irl.pubfactory.net',
		'display_name' => 'Live content view: astmh-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!astmh:astmh2020!/view/journals/tpmd/104/2/article-p604.xml?site=astmh!Monkeypox!10!20!astmh-web-2-live!astmh-web-2.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ajtmh',
		'notes' => 'APMA Live Site: astmh-web-2',
		'notes_url' => 'https://ajtmh.org/view/journals/tpmd/104/2/article-p604.xml'
end

##
# AMX
##
nagios_service 'ajtmh.org astmh-ams-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'astmh-ams-1.irl.pubfactory.net',
		'display_name' => 'Live AMS: astmh-ams-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!astmh:astmh2020!/login!"PubFactory AMS"!10!20!astmh-ams-1-live!PubFactory!86! --sni',
		'contact_groups' => 'admins_email_only,ajtmh',
		'notes' => 'APMA AMX: astmh-ams-1'
end

nagios_service 'ajtmh.org astmh-jobs-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'astmh-jobs-1.irl.pubfactory.net',
		'display_name' => 'Live AMS: astmh-jobs-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!astmh:astmh2020!/login!"PubFactory AMS"!10!20!astmh-jobs-1-live!PubFactory!86! --sni',
		'contact_groups' => 'admins_email_only,ajtmh',
		'notes' => 'APMA AMX: astmh-jobs-1'
end
