#############
# ametsoc      #
#############

##
# Homepage
##
nagios_service 'journals.ametsoc.org-Live Homepage: ametsoc-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ametsoc-web-1.irl.pubfactory.net',
		'display_name' => 'Live Homepage: ametsoc-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!ametsoc:ametsoc2019!/?site=ametsoc!"Meteorological"!10!20!ametsoc-web-1-live!ametsoc-web-1.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ametsoc',
		'notes' => 'AMETSOC Live Site: ametsoc-web-1',
		'notes_url' => 'https://journals.ametsoc.org'
end

nagios_service 'journals.ametsoc.org-Live Homepage: ametsoc-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ametsoc-web-2.irl.pubfactory.net',
		'display_name' => 'Live Homepage: ametsoc-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!ametsoc:ametsoc2019!/?site=ametsoc!"Meteorological"!10!20!ametsoc-web-2-live!ametsoc-web-2irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ametsoc',
		'notes' => 'AMETSOC Live Site: ametsoc-web-2',
		'notes_url' => 'https://journals.ametsoc.org'
end

##
# Search
##
nagios_service 'journals.ametsoc.org-Live Search: ametsoc-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ametsoc-web-1.irl.pubfactory.net',
		'display_name' => 'Live browse: ametsoc-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!ametsoc:ametsoc2019!/browse?site=ametsoc!Browse!10!20!ametsoc-web-1-live!ametsoc-web-1.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ametsoc',
		'notes' => 'AMETSOC Live Site: ametsoc-web-1',
		'notes_url' => 'https://journals.ametsoc.org/browse'
end

nagios_service 'journals.ametsoc.org-Live Search: ametsoc-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ametsoc-web-2.irl.pubfactory.net',
		'display_name' => 'Live browse: ametsoc-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!ametsoc:ametsoc2019!/browse?site=ametsoc!Browse!10!20!ametsoc-web-2-live!ametsoc-web-2.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ametsoc',
		'notes' => 'AMETSOC Live Site: ametsoc-web-2',
		'notes_url' => 'https://journals.ametsoc.org/browse'
end

##
# Content
##
nagios_service 'journals.ametsoc.org-Live content view: ametsoc-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ametsoc-web-1.irl.pubfactory.net',
		'display_name' => 'Live content view: ametsoc-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!ametsoc:ametsoc2019!/view/journals/2054/2054-overview.xml?site=ametsoc!Meteorological!10!20!ametsoc-web-1-live!ametsoc-web-1.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ametsoc',
		'notes' => 'AMETSOC Live Site: ametsoc-web-1'
end

nagios_service 'journals.ametsoc.org-Live content view: ametsoc-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ametsoc-web-2.irl.pubfactory.net',
		'display_name' => 'Live content view: ametsoc-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!ametsoc:ametsoc2019!/view/journals/2054/2054-overview.xml?site=ametsoc!Meteorological!10!20!ametsoc-web-2-live!ametsoc-web-2.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,ametsoc',
		'notes' => 'AMETSOC Live Site: ametsoc-web-2'
end

##
# AMX
##
nagios_service 'journals.ametsoc.org ametsoc-ams-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ametsoc-ams-1.irl.pubfactory.net',
		'display_name' => 'Live AMS: ametsoc-ams-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!ametsoc:ametsoc2019!/login!"PubFactory AMS"!10!20!ametsoc-ams-1-live!PubFactory!86! --sni',
		'contact_groups' => 'admins_email_only,ametsoc',
		'notes' => 'AMETSOC AMX: ametsoc-ams-1'
end

nagios_service 'journals.ametsoc.org ametsoc-jobs-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ametsoc-jobs-1.irl.pubfactory.net',
		'display_name' => 'Live AMS: ametsoc-jobs-1',
		'check_command' => 'http_content_check_basic_auth_single_node_port!ametsoc:ametsoc2019!/login!"PubFactory AMS"!10!20!ametsoc-jobs-1-live!PubFactory!86! --sni',
		'contact_groups' => 'admins_email_only,ametsoc',
		'notes' => 'AMETSOC AMX: ametsoc-jobs-1'
end
