#############
# jns      #
#############

##
# Homepage
##
nagios_service 'thejns.org-Live Homepage: jns-web-3' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jns-web-3.irl.pubfactory.net',
		'display_name' => 'Live Homepage: jns-web-3',
		'check_command' => 'http_content_check_basic_auth_single_node_port!jns:jns2018!/?site=jns!"American Association of Neurological Surgeons"!10!20!jns-web-3-live!jns-web-3.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,jns',
		'notes' => 'JNS Live Site: jns-web-3',
		'notes_url' => 'https://thejns.org'
end

nagios_service 'thejns.org-Live Homepage: jns-web-4' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jns-web-4.irl.pubfactory.net',
		'display_name' => 'Live Homepage: jns-web-4',
		'check_command' => 'http_content_check_basic_auth_single_node_port!jns:jns2018!/?site=jns!"American Association of Neurological Surgeons"!10!20!jns-web-4-live!jns-web-4.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,jns',
		'notes' => 'JNS Live Site: jns-web-4',
		'notes_url' => 'https://thejns.org'
end

##
# Search
##
nagios_service 'thejns.org-Live Search: jns-web-3' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jns-web-3.irl.pubfactory.net',
		'display_name' => 'Live search: jns-web-3',
		'check_command' => 'http_content_check_basic_auth_single_node_port!jns:jns2018!/search?site=jns!Browse!10!20!jns-web-3-live!jns-web-3.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,jns',
		'notes' => 'JNS Live Site: jns-web-3',
		'notes_url' => 'https://thejns.org/search'
end

nagios_service 'thejns.org-Live Search: jns-web-4' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jns-web-4.irl.pubfactory.net',
		'display_name' => 'Live search: jns-web-4',
		'check_command' => 'http_content_check_basic_auth_single_node_port!jns:jns2018!/search?site=jns!Browse!10!20!jns-web-4-live!jns-web-4.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,jns',
		'notes' => 'JNS Live Site: jns-web-4',
		'notes_url' => 'https://thejns.org/search'
end

##
# Content
##
nagios_service 'thejns.org-Live content view: jns-web-3' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jns-web-3.irl.pubfactory.net',
		'display_name' => 'Live content view: jns-web-3',
		'check_command' => 'http_content_check_basic_auth_single_node_port!jns:jns2018!/caselessons\/view/journals/j-neurosurg-case-lessons/8/15/article-CASE24406.xml?site=jns!Pharmacy!10!20!jns-web-3-live!jns-web-3.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,jns',
		'notes' => 'JNS Live Site: jns-web-3'
end

nagios_service 'thejns.org-Live content view: jns-web-4' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jns-web-4.irl.pubfactory.net',
		'display_name' => 'Live content view: jns-web-4',
		'check_command' => 'http_content_check_basic_auth_single_node_port!jns:jns2018!/caselessons\/view/journals/j-neurosurg-case-lessons/8/15/article-CASE24406.xml?site=jns!Pharmacy!10!20!jns-web-4-live!jns-web-4.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,jns',
		'notes' => 'JNS Live Site: jns-web-4'
end

##
# AMX
##
nagios_service 'thejns.org jns-ams-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jns-ams-2.irl.pubfactory.net',
		'display_name' => 'Live AMS: jns-ams-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!jns:jns2018!/login!"PubFactory AMS"!10!20!jns-ams-2-live!PubFactory!86! --sni',
		'contact_groups' => 'admins_email_only,jns',
		'notes' => 'JNS AMX: jns-ams-2'
end

nagios_service 'thejns.org jns-jobs-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jns-jobs-2.irl.pubfactory.net',
		'display_name' => 'Live AMS: jns-jobs-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!jns:jns2018!/login!"PubFactory AMS"!10!20!jns-jobs-2-live!PubFactory!86! --sni',
		'contact_groups' => 'admins_email_only,jns',
		'notes' => 'JNS AMX: jns-jobs-2'
end
