############
# nctm     #
#############

##
# Homepage
##
nagios_service 'pubs.nctm.org-Live Homepage: nctm-web-3' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'nctm-web-3.irl.pubfactory.net',
		'display_name' => 'Live Homepage: nctm-web-3',
		'check_command' => 'http_content_check_basic_auth_single_node_port!nctp:nctm2018!/?site=nctm!"National Council of Teachers of Mathematics"!10!20!nctm-web-3-live!nctm-web-3.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,nctm',
		'notes' => 'APMA Live Site: nctm-web-3',
		'notes_url' => 'https://pubs.nctm.org'
end

nagios_service 'pubs.nctm.org-Live Homepage: nctm-web-4' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'nctm-web-4.irl.pubfactory.net',
		'display_name' => 'Live Homepage: nctm-web-4',
		'check_command' => 'http_content_check_basic_auth_single_node_port!nctp:nctm2018!/?site=nctm!"National Council of Teachers of Mathematics"!10!20!nctm-web-4-live!nctm-web-4.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,nctm',
		'notes' => 'APMA Live Site: nctm-web-4',
		'notes_url' => 'https://pubs.nctm.org'
end

##
# Search
##
nagios_service 'pubs.nctm.org-Live Search: nctm-web-3' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'nctm-web-3.irl.pubfactory.net',
		'display_name' => 'Live search: nctm-web-3',
		'check_command' => 'http_content_check_basic_auth_single_node_port!nctp:nctm2018!/browse?site=nctm!Browse!10!20!nctm-web-3-live!nctm-web-3.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,nctm',
		'notes' => 'APMA Live Site: nctm-web-3',
		'notes_url' => 'https://pubs.nctm.org/browse'
end

nagios_service 'pubs.nctm.org-Live Search: nctm-web-4' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'nctm-web-4.irl.pubfactory.net',
		'display_name' => 'Live search: nctm-web-4',
		'check_command' => 'http_content_check_basic_auth_single_node_port!nctp:nctm2018!/browse?site=nctm!Browse!10!20!nctm-web-4-live!nctm-web-4.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,nctm',
		'notes' => 'APMA Live Site: nctm-web-4',
		'notes_url' => 'https://pubs.nctm.org/browse'
end

##
# Content
##
nagios_service 'pubs.nctm.org-Live content view: nctm-web-3' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'nctm-web-3.irl.pubfactory.net',
		'display_name' => 'Live content view: nctm-web-3',
		'check_command' => 'http_content_check_basic_auth_single_node_port!nctp:nctm2018!/view/journals/mtlt/117/9/article-p626.xml?site=nctm!Math!10!20!nctm-web-3-live!nctm-web-3.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,nctm',
		'notes' => 'APMA Live Site: nctm-web-3',
		'notes_url' => 'https://pubs.nctm.org/view/journals/mte/13/1/article-p252.xml'
end

nagios_service 'pubs.nctm.org-Live content view: nctm-web-4' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'nctm-web-4.irl.pubfactory.net',
		'display_name' => 'Live content view: nctm-web-4',
		'check_command' => 'http_content_check_basic_auth_single_node_port!nctp:nctm2018!/view/journals/mtlt/117/9/article-p626.xml?site=nctm!Math!10!20!nctm-web-4-live!nctm-web-4.irl.pubfactory.net!80!',
		'contact_groups' => 'admins_email_only,nctm',
		'notes' => 'APMA Live Site: nctm-web-4',
		'notes_url' => 'https://pubs.nctm.org/view/journals/mte/13/1/article-p252.xml'
end

##
# AMX
##
nagios_service 'pubs.nctm.org nctm-ams-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'nctm-ams-2.irl.pubfactory.net',
		'display_name' => 'Live AMS: nctm-ams-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!nctp:nctm2018!/login!"PubFactory AMS"!10!20!nctm-ams-2-live!PubFactory!86! --sni',
		'contact_groups' => 'admins_email_only,nctm',
		'notes' => 'APMA AMX: nctm-ams-2'
end

nagios_service 'pubs.nctm.org nctm-jobs-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'nctm-jobs-2.irl.pubfactory.net',
		'display_name' => 'Live AMS: nctm-jobs-2',
		'check_command' => 'http_content_check_basic_auth_single_node_port!nctp:nctm2018!/login!"PubFactory AMS"!10!20!nctm-jobs-2-live!PubFactory!86! --sni',
		'contact_groups' => 'admins_email_only,nctm',
		'notes' => 'APMA AMX: nctm-jobs-2'
end
