prod_irl_checks = [
	'free-memory_95_98',
	'active-users_5_10',
	'disk_slash_80_90',
	'chef-running'
]

prod_irl_checks.each do |check|
	nagios_service "prod_irl_#{check}" do
		options 'use' => check,
			'hostgroup_name' => 'prod_irl',
			'contact_groups' => 'ops'
	end
end

prod_irl_tomcat_nodes = search(:node, 'tags:site_irl AND chef_environment:prod',
			:filter_result => {
				'host' =>  [ 'name' ],
				'instances' => [ 'tomcat', 'instances' ]
			}).select {|host| !host["instances"].nil? }

prod_irl_tomcats = []
prod_irl_tomcat_nodes.each do |host|
	host["instances"].each do |instance,data|
		prod_irl_tomcats.push( { :host => host["host"], :name => instance, :port => data["port"] } )
	end
end

prod_irl_tomcats.each do |tomcat|
	nagios_service "prod_irl_#{tomcat[:host]}_#{tomcat[:name]}_#{tomcat[:port]}" do
		options 'use' => 'tomcat-instance',
			'host_name' => tomcat[:host],
			'check_command' => "check_http_port_path!#{tomcat[:port]}!/probe!10!15",
			'contact_groups' => 'ops,admins_email_only'
	end
end
